Subject: Using --term-* with bisect breaks skip

From: Trygve Aaberge <[email-masked]>
Date: Sun, 18 Apr 2021 17:14:59 +0200

What did you do before the bug happened? (Steps to reproduce your issue)
1. git bisect start --term-new=fixed --term-old=unfixed master HEAD~10
2. git bisect skip

What did you expect to happen? (Expected behavior)
Git should mark the commit as skipped and change HEAD to a different commit.

What happened instead? (Actual behavior)
The commit was marked as skipped, but HEAD was not changed.

What's different between what you expected and what actually happened?
After running bisect skip, HEAD was still at the same commit as before,
instead of having changed to a new that I can test. The usual output about
steps left to test and the new commit was also missing, skip did not output
anything.

Anything else you want to add:
- If I don't provide any --term-* options, skip works as expected.
- The revisions provided in the reproduction steps doesn't matter, they're
  just an example.
- I tried running from the next branch, and it happened there too.

[System Info]
git version:
git version 2.31.1
cpu: x86_64
no commit associated with this build
sizeof-long: 8
sizeof-size_t: 8
shell-path: /bin/sh
uname: Linux 5.10.29-1-lts #1 SMP Sat, 10 Apr 2021 14:40:41 +0000 x86_64
compiler info: gnuc: 10.2
libc info: glibc: 2.33
$SHELL (typically, interactive shell): /usr/bin/zsh

[Enabled Hooks]

-- 
Trygve Aaberge